Клуб API Карт

АПИ 2.1 конфликтует с Конструктором.

topvas
29 июля 2016, 12:06

Здравствуйте.

Недавно стала появляться проблема при одновременном использовании на странице Конструктора и АПИ (версии 2.1) Вот пример:

<!DOCTYPE html>
<html>
<head>
    <title>Yandex Maps Constructor check</title>
</head>
<body>
    <div class="map" id="map">
        <div class="s">
            <script type="text/javascript" charset="utf-8" async src="https://api-maps.yandex.ru/services/constructor/1.0/js/?sid=QTCbMeofcTMrdd_NTPCCyYEcl2UMLULt&width=500&height=400&lang=ru_RU&sourceType=constructor&scroll=true"></script>
        </div>
        <div class="links"><a href="#" id="open-map-pu">увеличить карту</a></div>
    </div>
    <script src="https://api-maps.yandex.ru/2.1/?lang=ru_RU" type="text/javascript"></script>
</body>
</html>

У меня в Хроме (52.0.2743.82 (64-bit)) следующие ошибки в консоли:

При этом на основном сайте Конструктор не работает, а АПИ же отрабатывает нормально.

1 комментарий
Подписаться на комментарии к посту
Добрый день. Спасибо за сообщение! Мы работает над решение проблемы. Как временное решение можно подключать апи с конкретной версий "2.1.41"